## EvPasswordView

EvPasswordView

## Synopsis

                        EvPasswordViewPrivate;
                        EvPasswordView;
    GtkWidget *         ev_password_view_new                (GtkWindow *parent);
    void                ev_password_view_set_uri            (EvPasswordView *password_view,
                                                             const char *uri);
    void                ev_password_view_ask_password       (EvPasswordView *password_view);
    const gchar *       ev_password_view_get_password       (EvPasswordView *password_view);
    GPasswordSave       ev_password_view_get_password_save_flags
                                                            (EvPasswordView *password_view);

## Description

## Details

### EvPasswordViewPrivate

    typedef struct _EvPasswordViewPrivate EvPasswordViewPrivate;

### EvPasswordView

    typedef struct {
    	GtkViewport parent_instance;

    	EvPasswordViewPrivate *priv;
    } EvPasswordView;

### ev_password_view_new ()

    GtkWidget *         ev_password_view_new                (GtkWindow *parent);

`parent` : |
Returns : |

### ev_password_view_set_uri ()

    void                ev_password_view_set_uri            (EvPasswordView *password_view,
                                                             const char *uri);

`password_view` : |
`uri` : |

### ev_password_view_ask_password ()

    void                ev_password_view_ask_password       (EvPasswordView *password_view);

`password_view` : |

### ev_password_view_get_password ()

    const gchar *       ev_password_view_get_password       (EvPasswordView *password_view);

`password_view` : |
Returns : |

### ev_password_view_get_password_save_flags ()

    GPasswordSave       ev_password_view_get_password_save_flags
                                                            (EvPasswordView *password_view);

`password_view` : |
Returns : |